Skip to main content
GET
/
api
/
public
/
v1
/
games
/
{game}
/
decks
/
{id}
/
versions
List historical versions of a deck
curl --request GET \
  --url https://api.flexslot.gg/api/public/v1/games/{game}/decks/{id}/versions \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Partner-Id: <api-key>' \
  --header 'X-Signature: <api-key>'
import requests

url = "https://api.flexslot.gg/api/public/v1/games/{game}/decks/{id}/versions"

headers = {
"X-Signature": "<api-key>",
"X-Partner-Id": "<api-key>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-Signature': '<api-key>',
'X-Partner-Id': '<api-key>',
Authorization: 'Bearer <token>'
}
};

fetch('https://api.flexslot.gg/api/public/v1/games/{game}/decks/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version_number": 123,
  "name_at_version": "<string>",
  "edited_at": "2023-11-07T05:31:56Z",
  "history_type": "<string>",
  "visibility": [
    "<string>"
  ]
}

Authorizations

X-Signature
string
header
required

HMAC-SHA256 over canonical request string. Format: v1.<unix_seconds>.<hex_hmac_sha256>.

X-Partner-Id
string
header
required

Partner identifier slug. Required alongside X-Signature for HMAC auth.

Authorization
string
header
required

User-issued personal access token (format: flx_pat_).

Path Parameters

game
string
required
id
string<uuid>
required

Query Parameters

limit
integer
page
integer

Response

200 - application/json
version_number
integer
required
read-only
name_at_version
string
required
read-only
edited_at
string<date-time>
required
read-only
history_type
string
required
read-only
visibility
string[]
required
read-only